import { IFieldActualChangedValueConfigEntity } from './field.interface';
import { IUniversalFieldProps } from '../../../props-definitions.interface';
/**
 * @stable [31.07.2018]
 * @param {IFieldActualChangedValueConfigEntity} config
 * @returns {AnyT}
 */
export declare const toActualChangedValue: (config: IFieldActualChangedValueConfigEntity) => any;
/**
 * @stable [05.10.2018]
 * @param {IUniversalFieldProps} props
 * @returns {boolean}
 */
export declare const isFieldRequired: (props: IUniversalFieldProps<any, any, any>) => boolean;
/**
 * @stable [06.10.2018]
 * @param {IUniversalFieldProps} props
 * @returns {boolean}
 */
export declare const isFieldInactive: (props: IUniversalFieldProps<any, any, any>) => boolean;
/**
 * @stable [06.10.2018]
 * @param {IUniversalFieldProps} props
 * @returns {boolean}
 */
export declare const isFieldInProgress: (props: IUniversalFieldProps<any, any, any>) => boolean;
/**
 * @stable [06.10.2018]
 * @param {IUniversalFieldProps} props
 * @returns {boolean}
 */
export declare const isFieldChangeable: (props: IUniversalFieldProps<any, any, any>) => boolean;
