"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var vue_property_decorator_1 = require("vue-property-decorator");
var vue_index_1 = require("../../connector/vue-index");
var vue_index_2 = require("../textfield/vue-index");
var vue_numberfield_interface_1 = require("./vue-numberfield.interface");
var VueNumberField = /** @class */ (function (_super) {
    __extends(VueNumberField, _super);
    function VueNumberField() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [21.10.2018]
     * @param {VueCreateElementFactoryT} createElement
     * @returns {VueNodeT}
     */
    VueNumberField.prototype.render = function (createElement) {
        return _super.prototype.render.call(this, createElement);
    };
    /**
     * @stable [19.01.2019]
     * @returns {string}
     */
    VueNumberField.prototype.getFieldClassName = function () {
        return _super.prototype.getFieldClassName.call(this) + " vue-number-field";
    };
    /**
     * @stable [19.01.2019]
     * @param {AnyT} newValue
     * @returns {AnyT}
     */
    VueNumberField.prototype.toEmittedValue = function (newValue) {
        return this.nc.number(newValue);
    };
    VueNumberField = __decorate([
        vue_index_1.ComponentName(vue_numberfield_interface_1.VUE_NUMBER_FIELD_NAME),
        vue_property_decorator_1.Component
    ], VueNumberField);
    return VueNumberField;
}(vue_index_2.VueBaseTextField));
exports.VueNumberField = VueNumberField;
//# sourceMappingURL=vue-numberfield.component.js.map