import { UniversalContainer } from '../../base/universal.container';
import { IUniversalSearchToolbarContainerProps, IUniversalSearchToolbarProps } from './search-toolbar.interface';
export declare class UniversalSearchToolbarContainer<TProps extends IUniversalSearchToolbarContainerProps, TState = {}> extends UniversalContainer<TProps, TState> {
    /**
     * @stable [18.05.2018]
     * @param {TProps} props
     */
    constructor(props: TProps);
    /**
     * @stable [18.05.2018]
     * @returns {IUniversalSearchToolbarProps}
     */
    protected getComponentProps<TComponentProps extends IUniversalSearchToolbarProps>(): TComponentProps;
    /**
     * @stable [18.05.2018]
     */
    protected onApply(): void;
    /**
     * @stable [18.05.2018]
     */
    protected onOpen(): void;
    /**
     * @stable [18.05.2018]
     */
    protected onActivate(): void;
    /**
     * @stable [18.05.2018]
     */
    protected onDeactivate(): void;
    /**
     * @stable [18.05.2018]
     * @param {string} query
     */
    protected onChange(query: string): void;
    /**
     * @stable [26.08.2018]
     */
    protected onRefresh(): void;
    /**
     * @stable [13.09.2018]
     */
    private onActionClick;
}
