import { IApplicationStorageHelper } from './storage.interface';
import { ISetFilesResult } from './storage.interface';
export declare class StorageHelper implements IApplicationStorageHelper {
    private fileStorage;
    /**
     * @stable [28.06.2018]
     * @param {TEntity} changes
     * @param {Array<(entity: TEntity) => string>} fields
     * @returns {Promise<ISetFilesResult[]>}
     */
    saveFiles<TEntity>(changes: TEntity, fields: Array<(entity: TEntity) => string>): Promise<ISetFilesResult[]>;
}
