"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var stack_action_builder_1 = require("../stack/stack-action.builder");
var router_1 = require("../../router");
var action_builder_1 = require("../../component/action.builder");
/**
 * @stable [06.07.2018]
 */
exports.makeListEmptyMessageActionMiddleware = function (config) {
    return config.activateQueryFilter
        ? [
            action_builder_1.FilterActionBuilder.buildActivateAction(config.listSection)
        ]
        : [
            stack_action_builder_1.StackActionBuilder.buildLockAction(config.listSection),
            router_1.RouterActionBuilder.buildNavigateAction(config.filterRoutePath)
        ];
};
//# sourceMappingURL=list-empty-message-action.middleware.js.map