"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var definitions_interface_1 = require("../definitions.interface");
/**
 * @stable [14.08.2018]
 * @param {string} section
 * @param {IKeyValue} data
 * @returns {TResult}
 */
exports.applySection = function (section, data) { return (__assign({ section: section }, data)); };
/**
 * @stable [31.08.2018]
 * @param {string} section
 * @returns {string}
 */
exports.toActionPrefix = function (section) { return "" + definitions_interface_1.ACTION_PREFIX + section; };
function toSection(action) {
    return (action.data && action.data.section) || (action.initialData && action.initialData.section);
}
exports.toSection = toSection;
//# sourceMappingURL=section.js.map