"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../util");
var base_1 = require("../base");
var Card = /** @class */ (function (_super) {
    __extends(Card, _super);
    function Card() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [02.05.2018]
     * @returns {JSX.Element}
     */
    Card.prototype.render = function () {
        var _this = this;
        var props = this.props;
        return (React.createElement("div", { ref: 'self', className: util_1.toClassName('rac-card', this.uiFactory.card, props.rippable && this.uiFactory.rippleSurface, props.className), onClick: props.onClick },
            props.children,
            util_1.orNull(props.actionButtons || props.actionIcons, function () { return (React.createElement("div", { className: util_1.toClassName('rac-card-actions', _this.uiFactory.cardActions) },
                util_1.orNull(props.actionButtons, function () { return (React.createElement("div", { className: util_1.toClassName('rac-card-action-buttons', _this.uiFactory.cardActionButtons) }, props.actionButtons)); }),
                util_1.orNull(props.actionIcons, function () { return (React.createElement("div", { className: util_1.toClassName('rac-card-action-items', _this.uiFactory.cardActionIcons) }, props.actionIcons)); }))); })));
    };
    return Card;
}(base_1.BaseComponent));
exports.Card = Card;
//# sourceMappingURL=card.component.js.map