import { Drawer } from 'react-native-drawer';
import { IOpenWrapper, ICloseWrapper } from '../../definitions.interface';
import { IRnDrawerConfiguration } from '../../configurations-definitions.interface';
export interface IRnDrawer extends IOpenWrapper<() => void>, ICloseWrapper<() => void> {
}
export interface IRnNativeRootDrawer extends IOpenWrapper<() => void>, ICloseWrapper<() => void> {
}
export interface IRnNativeDrawer extends Drawer {
    _root: IRnNativeRootDrawer;
}
export interface IRnDrawerProps extends IRnDrawerConfiguration {
}
