import { INeedToOpenMenuWrapper, IForceReloadWrapper, IExpandActionRenderedWrapper, IDisplayValueWrapper } from '../../../definitions.interface';
import { ISelectOptionEntity } from '../../../entities-definitions.interface';
import { IMenuConfigurationWrapper, IFieldConfiguration } from '../../../configurations-definitions.interface';
import { IBasicTextFieldProps } from '../textfield/base-textfield.interface';
import { IFieldState } from '../field/field.interface';
/**
 * @stable [06.10.2018]
 */
export interface IBasicSelectState extends IFieldState, INeedToOpenMenuWrapper, IDisplayValueWrapper {
}
/**
 * @stable [15.09.2018]
 */
export interface IBasicSelectConfiguration extends IFieldConfiguration, IExpandActionRenderedWrapper {
}
export interface IBasicSelectProps extends IBasicSelectConfiguration, IBasicTextFieldProps, IMenuConfigurationWrapper, IForceReloadWrapper {
    icon?: string;
    options?: ISelectOptionEntity[];
    onSelect?(option: ISelectOptionEntity): void;
}
