"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var textfield_1 = require("../textfield");
var TimeField = /** @class */ (function (_super) {
    __extends(TimeField, _super);
    function TimeField() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    TimeField.prototype.getFieldMask = function () {
        return _super.prototype.getFieldMask.call(this) ||
            (this.props.useShortMask ? this.dateTimeSettings.uiShortTimeMask : this.dateTimeSettings.uiTimeMask);
    };
    TimeField.prototype.getFieldPattern = function () {
        return _super.prototype.getFieldPattern.call(this) ||
            (this.props.useShortMask ? this.dateTimeSettings.uiShortTimePattern : this.dateTimeSettings.uiTimePattern);
    };
    Object.defineProperty(TimeField.prototype, "dateTimeSettings", {
        get: function () {
            return this.settings.dateTime || {};
        },
        enumerable: true,
        configurable: true
    });
    return TimeField;
}(textfield_1.BaseTextField));
exports.TimeField = TimeField;
//# sourceMappingURL=timefield.component.js.map