/// <reference types="react" />
import { BaseComponent } from '../../base';
import { IGridRowProps } from './grid-row.interface';
export declare class GridRow extends BaseComponent<IGridRowProps, {}> {
    static defaultProps: IGridRowProps;
    /**
     * @stable - 05.04.2018
     * @param {IGridRowProps} props
     */
    constructor(props: IGridRowProps);
    /**
     * @stable - 05.04.2018
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable - 05.04.2018
     * @param {IBasicEvent} event
     */
    private onClick;
}
