"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../util");
var base_1 = require("../base");
var layout_1 = require("../layout");
var Header = /** @class */ (function (_super) {
    __extends(Header, _super);
    function Header() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [08.10.2018]
     * @returns {JSX.Element}
     */
    Header.prototype.render = function () {
        var props = this.props;
        return (React.createElement(layout_1.FlexLayout, { full: false, row: true, justifyContentEnd: true, alignItemsCenter: true, className: util_1.toClassName('rac-header', props.className) }, props.children));
    };
    return Header;
}(base_1.BaseComponent));
exports.Header = Header;
//# sourceMappingURL=header.component.js.map