"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../../util");
var base_1 = require("../../base");
var FlexLayout = /** @class */ (function (_super) {
    __extends(FlexLayout, _super);
    function FlexLayout() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [17.06.2018]
     * @returns {JSX.Element}
     */
    FlexLayout.prototype.render = function () {
        var props = this.props;
        return (React.createElement("div", { ref: 'self', className: util_1.toClassName(props.className, 'rac-flex', props.fullSize && 'rac-full-size', props.row ? 'rac-flex-row' : 'rac-flex-column', (props.full !== false && !(props.className || '').includes('rac-flex-')) && 'rac-flex-full', props.overflow && 'rac-flex-overflow', props.overflowMinContentHeight && 'rac-flex-overflow-min-content-height', props.separator && 'rac-flex-separator', props.alignItemsCenter && 'rac-flex-align-items-center', props.alignItemsEnd && 'rac-flex-align-items-end', props.justifyContentCenter && 'rac-flex-justify-content-center', props.justifyContentEnd && 'rac-flex-justify-content-end', props.justifyContentSpaceBetween && 'rac-flex-justify-content-space-between', props.wrap && 'rac-flex-wrap', props.noShrink && 'rac-no-flex-shrink'), title: props.title, style: props.style, onClick: props.onClick }, props.children));
    };
    return FlexLayout;
}(base_1.BaseComponent));
exports.FlexLayout = FlexLayout;
//# sourceMappingURL=flex-layout.component.js.map