"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var di_interface_1 = require("./di.interface");
var di_support_1 = require("./di.support");
/**
 * @stable [20.10.2018]
 * @returns {Store<TStoreEntity extends IUniversalApplicationStoreEntity>}
 */
exports.getStore = function () {
    return di_support_1.staticInjector(di_interface_1.DI_TYPES.Store);
};
/**
 * @stable [31.10.2018]
 * @returns {INumberConverter}
 */
exports.getNumberConverter = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.NumberConverter); };
/**
 * @stable [09.11.2018]
 * @returns {IUIFactory}
 */
exports.getUiFactory = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.UIFactory); };
/**
 * @stable [15.11.2018]
 * @returns {TranslatorT}
 */
exports.getTranslator = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.Translate); };
/**
 * @stable [23.02.2019]
 * @returns {ITransport}
 */
exports.getTransport = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.Transport); };
/**
 * @stable [23.02.2019]
 * @returns {TApi}
 */
exports.getApi = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.Api); };
/**
 * @stable [24.02.2019]
 * @returns {IEventManager}
 */
exports.getEventManager = function () { return di_support_1.staticInjector(di_interface_1.DI_TYPES.EventManager); };
//# sourceMappingURL=di.services.js.map