import { Store } from 'redux';
import { IPermissionsService } from './permissions.interface';
import { IApplicationStoreEntity } from '../entities-definitions.interface';
export declare class PermissionsService<TAccessConfig> implements IPermissionsService<TAccessConfig> {
    protected store: Store<IApplicationStoreEntity>;
    isAccessible(permissionObject: TAccessConfig): boolean;
}
