import { IEffectsAction } from 'redux-effects-promise';
export declare class RouterActionBuilder {
    /**
     * @stable [03.06.2018]
     * @param {string} path
     * @returns {IEffectsAction}
     */
    static buildNavigateAction(path: string): IEffectsAction;
    static buildRewriteAction(path: string): IEffectsAction;
    static buildReplaceAction(path: string): IEffectsAction;
    static buildNavigateBackAction(): IEffectsAction;
}
