"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var redux_effects_promise_1 = require("redux-effects-promise");
var user_interface_1 = require("./user.interface");
var UserActionBuilder = /** @class */ (function () {
    function UserActionBuilder() {
    }
    /**
     * @stable [11.08.2018]
     * @param {IPayloadWrapper<IUserEntity>} data
     * @returns {IEffectsAction}
     */
    UserActionBuilder.buildUpdateAction = function (data) {
        return redux_effects_promise_1.EffectsAction.create(user_interface_1.USER_UPDATE_ACTION_TYPE, data);
    };
    /**
     * @stable [11.08.2018]
     * @returns {IEffectsAction}
     */
    UserActionBuilder.buildDestroyAction = function () {
        return redux_effects_promise_1.EffectsAction.create(user_interface_1.USER_DESTROY_ACTION_TYPE);
    };
    return UserActionBuilder;
}());
exports.UserActionBuilder = UserActionBuilder;
//# sourceMappingURL=user-action.builder.js.map